/*
 * New I/O.
 * Call the system.
 * Needs V3.2
 */

#define	SPWN	(11 + (13<<8))
#define	STSE	(135 + (2<<8))
#define	MCR0	050712		/* MCR */
#define	MCR1	0131574		/* ... */

/*
 * system(s);
 * char *s;
 * Queue a command line to the MCR via the
 * V3.2 spawn directive. Return the DSW if
 * an error occurrs or the task status if
 * ok.
 */
system(s)
char *s;
{
	register d;
	int e[8];

	d = __dir(SPWN, MCR0, MCR1, 0, 0, 0, 0, 1, 0, e, s, strlen(s), 0);
	if (d < 0)
		return (d);
	d = __dir(STSE, 1);
	if (d < 0)
		return (d);
	return (e[0]);
}
